import java.awt.*;
import java.applet.*;

public class ThreadedApplet extends Applet implements Runnable
{
	Button b1;
	int x = 0;
	boolean suspended = false;

	Thread one = null;

	// Two buttons, one with a number the other with "Stop"
	public void init()
	{
		add(b1 = new Button("000000"));
	}

        public void start()
        {
		// Create a new thread with minimum priority</i>
		// "this" refers to the current class which is a Runnable</i>
		if(one == null)
		{
			x = 0;
                	one = new Thread(this);
                	one.setPriority(Thread.MIN_PRIORITY);
                	one.start();
		}
        }

	// Called when the Thread is created</i>
        public void run()
        {
                while(true)
                {
                        b1.setLabel(new Integer(x++).toString()); 
			try 
			{ 
				one.sleep(1000); 
			}
			catch(InterruptedException e) {}
                }
        }

	public boolean mouseDown(Event evt, int x, int y)
	{
        	if (suspended) 
		{
            		one.resume();
        	}
        	else 
		{
            		one.suspend();
        	}
        	suspended = !suspended;

		return true;
	}
                 
        public void stop()
        {
                // kill thread
                one = null;
        }

}
